Subject: Re: [PATCH] unicode: update the width tables to Unicode 16

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Sep 2024 11:12:32 -0700

Johannes Schindelin <[email-masked]> writes:

> Oh, but I obviously was not suggesting as crude a thing as to scrape it
> unconditionally, and certainly not daily. No, I was thinking about
> something checking the `Last-Modified:` header and only acting upon
> updated Unicode definitions, and checking for updates only on a weekly
> basis. Something along these lines:
> ...
> Sadly, to update the repository variable, we cannot use `permissions:`
> because the workflow syntax does not offer the `variables` scope.
> Therefore a Personal Access Token would need to be stored as a repository
> secret. I used a fine-grained token in my tests whose sope was
> Repository > Variables: read-write.

And it can make a patch and send it to the list and get reviewed the
usual way.  It is a bit curious whose Sob should be on such a patch,
but we can work out the details, if we were seriously to automate
it.  It all seems workable.

You may have already noticed, but I am lazy and tolerate manual
tasks if they do not come more often than once per quarter ;-)

Thanks.